Subject: bug#56209: closed (Re: bug#56209: Shepherd 0.9 not cleanly unmounting root)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Jul 2022 10:30:03 +0000

Your bug report

#56209: Shepherd 0.9 not cleanly unmounting root

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56209: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56209
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56209: Shepherd 0.9 not cleanly unmounting root
From: Ludovic Courtès <[email-masked]>
To: angry rectangle <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Jul 2022 12:29:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

angry rectangle <[email-masked]> skribis:

> I tried your patch on one of my computers and it works.

Thanks for testing.

Pushed as 0483c71cc5aeb3b69f6deb154fe12c0b2e6dc17f.  The reason is took
me more time is that I wanted to have a system test for that to make
sure it doesn’t come back to haunt us in the future.  Now we should be
fine.  :-)

Ludo’.

Subject: Shepherd 0.9 not cleanly unmounting root
From: angry rectangle <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jun 2022 01:27:02 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Since the upgrade to shepherd 0.9, I get "recovering journal" every single time I start my computer.
To be specific, "recovering journal" appears after I enter my encryption password in the initrd.
I assume this means the filesystem wasn't cleanly unmounted.
I am doing a proper shutdown, using either "reboot" or "halt." 

I've attached the minimal config I've been using.
It's nothing special other than encrypted root.
I'm using an SSD with a gpt partition table.
No custom packages or external channels were used when configuring the system.

This is for my desktop computer, but I have the exact same problem with a similar minimal config on my laptop.
Mostly the same sitution there with an SSD, gpt table, and encrypted root.

The guix commit 400c9ed3d779308e56038305d40cd93acb496180 is the specific commit that upgrades shepherd and causes me this problem. The previous commit is fine.
I'm can confirm that it's still broken on recent commits. I'm on 696e2cc345f015c32f211bf0d0330c04b1cf5f15.

Thanks